{% extends "jointform/base.html" %}


{% block content %}
<div class='col-6 offset-md-3'>
    <h1>Your Form</h1>
    <form class="my-ajax-form" method="post" data-url="{{ request.build_absolute_uri|safe }}">
        {% csrf_token %}
        {{ form.as_p }}
    <input class='btn btn-default' type='submit' value='Submit' />
    </form>
</div>

{% endblock %}

{% block javascript %}
<script>
$(document).ready(function(){
    var $myForm = $('.my-ajax-form')
    $myForm.submit(function(event){
        event.preventDefault() //remove default
        var $formData = $(this).serialize()
        var $thisURL = $myForm.attr('data-url') || window.location.href // or set your own url
        $.ajax({
            method: "POST",
            url: $thisURL,
            data: $formData,
            success: handleFormSuccess,
            error: handleFormError,
        })
    })

    function handleFormSuccess(data, textStatus, jqXHR){
        console.log(data)
        console.log(textStatus)
        console.log(jqXHR)
        $myForm[0].reset(); // reset form data
    }

    function handleFormError(jqXHR, textStatus, errorThrown){
        console.log(jqXHR)
        console.log(textStatus)
        console.log(errorThrown)
    }
})
</script>

{% endblock javascript %}